<?php
//////////////////////////////////////////////////////////////
// Main Options Panel
/////////////////////////////////////////////////////////////

$themename = "Ribbons Panel";
$shortname = "xs";

// Get Post Categories
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category");


// Theme Options
$options = array (
array( "name" => $themename." Options",
	"type" => "title"),
array( "name" => "General",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Custom Favicon",
	"desc" => "Enter the URL for your websites .co favicon",
	"id" => $shortname."_favicon",
	"type" => "text",
	"std" => get_bloginfo('url') ."/favicon.ico"),
	
array( "name" => "Custom Logo URL",
	"desc" => "Insert the URL to your logo here. Your header will expand in Height to fit your logo",
	"id" => $shortname."_custom_logo",
	"type" => "text",
	"std" => ""),
	
array( "name" => "Homepage Title",
	"desc" => "What title do you want for homepage? default set to: Latest From The Blog",
	"id" => $shortname."_homepage_title",
	"type" => "text",
	"std" => "Latest From The Blog"),
	
array( "type" => "close"),
array( "name" => "Social Icons",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Disable Social Icons",
	"desc" => "Check this box if you would like to Disable the social feeds in your theme's header",
	"id" => $shortname."_disable_social_feeds",
	"type" => "checkbox",
	"std" => ""),
	
array( "name" => "Twitter Profile URL",
	"desc" => "Enter the url to your Twitter account here",
	"id" => $shortname."_twitter_feed",
	"type" => "text",
	"std" => "http://www.twitter.com/wpexplorer"),
	
array( "name" => "Facebook Page URL",
	"desc" => "Enter the url to your Facebook page here",
	"id" => $shortname."_facebook_feed",
	"type" => "text",
	"std" => "http://www.facebook.com/WPExplorerThemes"),
	
array( "name" => "Feed (default is /feed)",
	"desc" => "Enter the URL to your blog feed.",
	"id" => $shortname."_rss_feed",
	"type" => "text",
	"std" => get_bloginfo('url') ."/feed"),
	
array( "type" => "close"),
array( "name" => "Homepage Image Slider",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Disable Homepage Slider",
	"desc" => "Check this box if you would like to Disable the homepage slider.",
	"id" => $shortname."_disable_slider",
	"type" => "checkbox",
	"std" => ""),
	
array( "name" => "Slider Category",
	"desc" => "Choose a category for your featured slider",
	"id" => $shortname."_feat_cat",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "uncategorized"),
	
array( "name" => "Slider Transition Style",
	"desc" => "Select your slider transition style",
	"id" => $shortname."_slider_transition",
	"type" => "select",
	"options" => array("shuffle","fade","scrollRight","zoom","turnDown","curtainX"),
	"std" => "shuffle"),
	
array( "type" => "close"),
array( "name" => "Disable Theme Elements & Features",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Disable Homepage Title",
	"desc" => "Check this box to disable the homepage title that says: Latest From The Blog",
	"id" => $shortname."_disable_homepage_title",
	"type" => "checkbox",
	"std" => ""),

array( "name" => "Disable Entry Meta",
	"desc" => "Check this box to disable the section on homepage and archive entries that shows the post date and comment cout",
	"id" => $shortname."_disable_entry_meta",
	"type" => "checkbox",
	"std" => ""),

array( "name" => "Disable Thumbnail On Single Posts",
	"desc" => "Check this box to disable thumbnail images on single posts.",
	"id" => $shortname."_disable_single_thumbnail",
	"type" => "checkbox",
	"std" => ""),

array( "name" => "Disable Author Section",
	"desc" => "Check this box if you would like to disable the author section on your blog posts.",
	"id" => $shortname."_disable_post_author",
	"type" => "checkbox",
	"std" => ""),
	
array( "name" => "Disable Related Posts",
	"desc" => "Check this box if you would like to disable the related posts section.",
	"id" => $shortname."_disable_related_posts",
	"type" => "checkbox",
	"std" => ""),
	
array( "type" => "close"),
array( "name" => "Advertisement Spots - You can add anything here",
	"type" => "section"),
array( "type" => "open"),
	
array( "name" => "Header Spot (468x60 advertisement recommended)",
	"desc" => "Code for header hook",
	"id" => $shortname."_header_hook",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Above Posts",
	"desc" => "Code for above your posts",
	"id" => $shortname."_top_post_hook",
	"type" => "textarea",
	"std" => ""),
	
array( "name" => "Below Posts",
	"desc" => "Code for below your posts",
	"id" => $shortname."_bottom_post_hook",
	"type" => "textarea",
	"std" => ""),	

array( "type" => "close"),
array( "name" => "Analytics",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Google Analytics Code",
	"desc" => "You can paste your Google Analytics or other tracking code in this box. This will be automatically added to the header.",
	"id" => $shortname."_ga_code",
	"type" => "textarea",
	"std" => ""),
	
array( "type" => "close")
);

 
function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( 'save' == $_REQUEST['action'] ) {
                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: admin.php?page=function_options.php&saved=true");
                die;
        } else if( 'reset' == $_REQUEST['action'] ) {
            foreach ($options as $value) {
                delete_option( $value['id'] ); 
                update_option( $value['id'], $value['std'] );}
            header("Location: themes.php?page=function_options.php&reset=true");
            die;
        }
    }
add_menu_page("Ribbons", "Ribbons", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

//get theme panel CSS
function mytheme_add_init() {
$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/functions/options.css", false, "1.0", "all");
}

function mytheme_admin() {
global $themename, $shortname, $options;   
?>

<div class="wrap">

<?php
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade xs-saved"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade xs-reset"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>


<div id="icon-options-general" class="icon32 theme-panel-options-icon"><br></div>
<h2>Ribbons Settings</h2>

<div class="inner-wrap">

<form method="post">
<?php
foreach ($options as $value) {
switch ( $value['type'] ) {
case "open": ?>


<div class="option-section">
<?php break; case "close": ?>
<p class="submit save">
<input name="save" type="submit" value="Save Changes" />
<input type="hidden" name="action" value="save" />
</p>
</div>

<?php break; case "break": ?>

<?php break; case "section": ?>
<div class="section-title <?php echo $value['name']; ?>">
<?php echo $value['name']; ?>
</div>



<?php
///TEXT///
break; case 'text': ?>

<div class="subsection">
<div class="subsection-title">
<?php echo $value['name']; ?>
</div>
<div class="subsection-input text-input">
<input style="width:400px;" name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
</div>
<div class="subsection-description">
<?php echo $value['desc']; ?>
</div>
<div class="clear"></div>
</div>


<?php
///TEXTAREA///
 break; case 'textarea': ?>
 
<div class="subsection">
<div class="subsection-title">
<?php echo $value['name']; ?>
</div>
<div class="subsection-input textarea-input">
<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes (get_settings( $value['id'] )); } else { echo $value['std']; } ?></textarea>
</div>

<div class="subsection-description">
<?php echo $value['desc']; ?>
</div>
<div class="clear"></div>
</div>



<?php
///SELECT///
break; case 'select': ?>

<div class="subsection">
<div class="subsection-title">
<?php echo $value['name']; ?>
</div>
<div class="subsection-input">
<select style="width:240px;" name="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select>
</div>

<div class="subsection-description">
<?php echo $value['desc']; ?>
</div>
<div class="clear"></div>
</div>


<?php
///CHECKBOX///
break; case "checkbox": ?>

<div class="subsection">
<div class="subsection-title">
<?php echo $value['name']; ?>
</div>

<div class="subsection-input">
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; } else { $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
</div>

<div class="subsection-description">
<?php echo $value['desc']; ?>
</div>
<div class="clear"></div>
</div>



<?php break; } } ?>
</form>
<div class="reset-panel">
<form method="post">
<div class="reset-title">Reset Your Theme Panel - Careful All Your Options Will Be Cleared</div>
<p class="submit reset">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<div class="clear"></div>
</div>


</div><!-- END innerwrp -->
</div><!-- END wrap -->

<?php
}
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>